Update of /cvsroot/fink/dists/10.4/unstable/crypto/finkinfo
In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv29492

Modified Files:
        seahorse.info 
Removed Files:
        seahorse.patch 
Log Message:
new version


Index: seahorse.info
===================================================================
RCS file: /cvsroot/fink/dists/10.4/unstable/crypto/finkinfo/seahorse.info,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- seahorse.info       27 Jul 2008 19:30:43 -0000      1.12
+++ seahorse.info       11 Mar 2009 08:08:46 -0000      1.13
@@ -1,129 +1,98 @@
 Package: seahorse
-Version: 2.20.3
-Revision: 3
+Version: 2.24.1
+Revision: 1
 
-Source: mirror:gnome:sources/%n/2.20/%n-%v.tar.bz2
-Source-MD5: 6f03b38cb0a52e682c73be49f244f83b
+Source: mirror:gnome:sources/%n/2.24/%n-%v.tar.bz2
+Source-MD5: b35076c2ae46aa58d9b1ca76fe929515
 
 BuildDepends: <<
-       atk1 (>= 1.20.0-1),
-       audiofile,
-       autoconf (>= 2.60-1),
-       automake1.9,
+       atk1 (>= 1.24.0-1),
        avahi-dev,
-       cairo (>= 1.6-1),
-       dbus (>= 1.0-1),
-       dbus-dev (>= 1.0-1),
-       esound (>= 0.2.38-1),
+       cairo (>= 1.8-1),
+       dbus-dev (>= 1.2.1-1),
        expat1,
        fink (>= 0.24.12-1),
        fontconfig2-dev (>= 2.4.1-1),
-       freetype219 (>= 2.3.5-1),
-       gail18-dev (>= 1.20.0-1),
-       gconf2-dev (>= 2.20.0-1),
+       freetype219 (>= 2.3.7-7),
+       gconf2-dev (>= 2.24.0-1),
        gettext-tools,
-       glib2-dev (>= 2.14.0-1),
+       glib2-dev (>= 2.18.0-1),
        glitz,
-       gnome-doc-utils (>= 0.12.0-1),
-       gnome-keyring-dev (>= 2.20.3-2),
-       gnome-panel-dev (>= 2.20.3-1),
-       gnome-vfs2-unified-dev (>= 1:2.20.0-1),
-       gnupg,
-       gnutls26 (>= 2.2.2-3),
-       gpgme11,
-       gtk+2-dev (>= 2.12.0-1),
+       gnome-doc-utils (>= 0.14.0-1),
+       gnome-keyring-dev (>= 2.24.0-1),
+       gnutls26 (>= 2.6.4-1),
+       gpgme11 (>= 1.1.8-1),
+       gtk+2-dev (>= 2.14.0-1),
        gtk-doc,
-       intltool (>= 0.36.0-1),
-       libart2,
+       intltool40,
        libavahi-glib1-dev,
-       libbonobo2-dev (>= 2.20.0-1),
-       libbonoboui2-dev (>= 2.20.0-1),
-       libgcrypt (>= 1.2.4-2),
+       libgcrypt (>= 1.4.3-2),
        libgettext3-dev,
-       libglade2 (>= 2.6.2-1),
-       libgnome2-dev (>= 2.20.0-1),
-       libgnomecanvas2-dev (>= 2.20.0-1),
-       libgnomeui2-dev (>= 2.20.0-1),
+       libglade2 (>= 2.6.3-1),
        libgpg-error,
        libiconv-dev,
-       libjpeg,
        libpng3,
-       libsoup2.2.8-ssl (>= 2.2.100-1),
-       libtasn1-3,
-       libtool14,
+       libsoup2.4.1-ssl (>= 2.24.3-1),
+       libtasn1-3 (>= 0.3.9-2),
        libxml2 (>= 2.6.30-1),
-       orbit2-dev (>= 2.14.10-1),
-       pango1-xft2-ft219-dev (>= 1.18.4-4),
-       pixman (>= 0.10.0-1),
-       pkgconfig (>= 0.21-1),
-       popt,
+       orbit2-dev (>= 2.14.16-1),
+       pango1-xft2-ft219-dev (>= 1.22.4-1),
+       pixman (>= 0.12.0-1),
+       pkgconfig (>= 0.23),
        x11-dev,
        xft2-dev
 <<
 Depends: <<
        %N1-shlibs (>= %v-%r),
-       atk1-shlibs (>= 1.20.0-1),
-       audiofile-shlibs,
-       cairo-shlibs (>= 1.6-1),
-       dbus-shlibs (>= 1.0-1),
-       esound-shlibs (>= 0.2.38-1),
+       atk1-shlibs (>= 1.24.0-1),
+       cairo-shlibs (>= 1.8-1),
+       dbus-shlibs (>= 1.2.1-1),
        expat1-shlibs,
        fontconfig2-shlibs (>= 2.4.1-1),
-       freetype219-shlibs (>= 2.3.5-1),
-       gail18-shlibs (>= 1.20.0-1),
-       gconf2 (>= 2.20.0-1),
-       glib2-shlibs (>= 2.14.0-1),
+       freetype219-shlibs (>= 2.3.7-7),
+       gconf2 (>= 2.24.0-1),
+       glib2-shlibs (>= 2.18.0-1),
        glitz-shlibs,
-       gnome-keyring-shlibs (>= 2.20.3-2),
-       gnome-panel-shlibs (>= 2.20.3-1),
-       gnome-vfs2-unified-shlibs (>= 1:2.20.0-1),
+       gnome-keyring-shlibs (>= 2.24.0-1),
        gnupg,
-       gnutls26-shlibs (>= 2.2.2-3),
-       gpgme11-shlibs,
-       gtk+2-shlibs (>= 2.12.0-1),
-       libart2-shlibs,
+       gnutls26-shlibs (>= 2.6.4-1),
+       gpgme11-shlibs (>= 1.1.8-1),
+       gtk+2 (>= 2.14.0-1),
+       gtk+2-shlibs (>= 2.14.0-1),
        libavahi-client3-shlibs,
        libavahi-common3-shlibs,
        libavahi-glib1-shlibs,
-       libbonobo2-shlibs (>= 2.20.0-1),
-       libbonoboui2-shlibs (>= 2.20.0-1),
-       libgcrypt-shlibs (>= 1.2.4-2),
+       libgcrypt-shlibs (>= 1.4.3-2),
        libgettext3-shlibs,
-       libglade2-shlibs (>= 2.6.2-1),
-       libgnome2-shlibs (>= 2.20.0-1),
-       libgnomecanvas2-shlibs (>= 2.20.0-1),
-       libgnomeui2-shlibs (>= 2.20.0-1),
+       libglade2-shlibs (>= 2.6.3-1),
        libgpg-error-shlibs,
        libiconv,
-       libjpeg-shlibs,
        libpng3-shlibs,
-       libsoup2.2.8-ssl-shlibs (>= 2.2.100-1),
-       libtasn1-3-shlibs,
+       libsoup2.4.1-ssl-shlibs (>= 2.24.3-1),
+       libtasn1-3-shlibs (>= 0.3.9-2),
        libxml2-shlibs (>= 2.6.30-1),
-       orbit2-shlibs (>= 2.14.10-1),
-       pango1-xft2-ft219-shlibs (>= 1.18.4-4),
-       popt-shlibs,
+       orbit2-shlibs (>= 2.14.16-1),
+       pango1-xft2-ft219-shlibs (>= 1.22.4-1),
+       pixman-shlibs (>= 0.12.0-1),
        rarian-compat,
        shared-mime-info,
        x11
 <<
 Replaces: %N1-dev (<< 2.20.3-2), %N1-shlibs (<< 2.20.3-2)
 
-PatchFile: %n.patch
-PatchFile-MD5: e20c9743bb5709d15e3fecacdeb9484e
 PatchScript: <<
-       %{default_script}
-       autoreconf -fvi
-       perl -pi -e 's/chmod/#chmod/' agent/Makefile.in
+       perl -ni -e 'print unless /msgctxt/' po/*.po
+       find po/*.po -exec perl -pi -e 's/"(Never)"/"\1 SKIP$do_it"/ if $do_it; 
$do_it++ if /"(Never)("| SKIP)/' {} \;
+       perl -ni -e 'print unless /^#~/' po/*.po
 <<
 
-ConfigureParams: --mandir=%p/share/man --disable-schemas-install 
--disable-scrollkeeper --disable-dependency-tracking --disable-ldap 
--disable-gedit --disable-nautilus --disable-epiphany 
--disable-update-mime-database 
PKG_CONFIG_PATH="%p/lib/pango-ft219/lib/pkgconfig:%p/lib/fontconfig2/lib/pkgconfig:%p/lib/freetype219/lib/pkgconfig:$PKG_CONFIG_PATH"
 FREETYPE_CONFIG=%p/lib/freetype219/bin/freetype-config
+ConfigureParams: --mandir=%p/share/man --disable-schemas-install 
--disable-scrollkeeper --disable-dependency-tracking --disable-static 
--disable-ldap --disable-gedit --disable-nautilus --disable-epiphany 
--disable-libnotify --disable-update-mime-database 
PKG_CONFIG_PATH="%p/lib/fontconfig2/lib/pkgconfig:$PKG_CONFIG_PATH"
 SetCPPFLAGS: -Wall -fno-common
 NoSetMAKEFLAGS: true
 SetMAKEFLAGS: -j1
 
 InstallScript: make install DESTDIR=%d
-DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po NEWS README 
THANKS TODO
+DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po HACKING 
MAINTAINERS NEWS README THANKS TODO
 
 ConfFiles: %p/etc/gconf/schemas/seahorse.schemas
 PostInstScript: <<
@@ -132,53 +101,52 @@
                export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
                gconftool-2 --makefile-install-rule 
%p/etc/gconf/schemas/seahorse.schemas >/dev/null
        fi
+       gtk-update-icon-cache -f -t %p/share/icons/hicolor || :
        %p/bin/update-mime-database %p/share/mime || :
-       chown root %p/bin/seahorse-agent
-       chmod u+s %p/bin/seahorse-agent
 <<
 PostRmScript: <<
        if [ remove != "$1" ]; then
                scrollkeeper-update -q
        fi
+       gtk-update-icon-cache -f -t %p/share/icons/hicolor || :
        %p/bin/update-mime-database %p/share/mime || :
 <<
 
 SplitOff: <<
        Package: %N1-shlibs
        Depends: <<
-               atk1-shlibs (>= 1.20.0-1),
-               cairo-shlibs (>= 1.6-1),
-               dbus-shlibs (>= 1.0-1),
+               atk1-shlibs (>= 1.24.0-1),
+               cairo-shlibs (>= 1.8-1),
+               dbus-shlibs (>= 1.2.1-1),
                expat1-shlibs,
                fontconfig2-shlibs (>= 2.4.1-1),
-               freetype219-shlibs (>= 2.3.5-1),
-               gconf2-shlibs (>= 2.20.0-1),
-               glib2-shlibs (>= 2.14.0-1),
+               freetype219-shlibs (>= 2.3.7-7),
+               gconf2-shlibs (>= 2.24.0-1),
+               glib2-shlibs (>= 2.18.0-1),
                glitz-shlibs,
-               gtk+2-shlibs (>= 2.12.0-1),
+               gtk+2-shlibs (>= 2.14.0-1),
                libgettext3-shlibs,
                libiconv,
                libpng3-shlibs,
-               orbit2-shlibs (>= 2.14.10-1),
-               pango1-xft2-ft219-shlibs (>= 1.18.4-4),
+               orbit2-shlibs (>= 2.14.16-1),
+               pango1-xft2-ft219-shlibs (>= 1.22.4-1),
+               pixman-shlibs (>= 0.12.0-1),
                x11
        <<
        Files: lib/libcryptui.0*.dylib
        Shlibs: %p/lib/libcryptui.0.dylib 1.0.0 %n (>= 1.0-1)
-       DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po NEWS 
README THANKS TODO
+       DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po HACKING 
MAINTAINERS NEWS README THANKS TODO
 <<
 
 SplitOff2: <<
        Package: %N1-dev
        BuildDependsOnly: true
        Depends: %N1-shlibs (= %v-%r)
-       Files: include lib/lib* lib/pkgconfig
-       DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po NEWS 
README THANKS TODO
+       Files: include lib/libcryptui.* lib/pkgconfig
+       DocFiles: AUTHORS COPYING* ChangeLog po/ChangeLog:ChangeLog.po HACKING 
MAINTAINERS NEWS README THANKS TODO
 <<
 
 DescPackaging: <<
-       Move suid setup to PostInst so package builds with --build-as-nobody
-
        At startup, "couldn't monitor the GPG home directory:" is due
        missing functionality in the gnome-vfs2 package.
        See: http://bugzilla.gnome.org/show_bug.cgi?id=327460
@@ -186,12 +154,7 @@
        Some modules are disabled (ldap, gedit, nautilus)...
        haven't had time to test them and track the dependencies.
 
-       configure check for mlock as non-root user is quite broken, but
-       the result is believable, so not messing with it for now. See:
-       http://bugzilla.gnome.org/show_bug.cgi?id=417757
-       http://bugzilla.gnome.org/show_bug.cgi?id=417758
-
-       Convert static lib into libtool convenience lib
+       Clear the gettext-0.15 new-feature parts of the .po files.
 <<
 
 Description: GUI for GnuPG key management

--- seahorse.patch DELETED ---


------------------------------------------------------------------------------
Apps built with the Adobe(R) Flex(R) framework and Flex Builder(TM) are
powering Web 2.0 with engaging, cross-platform capabilities. Quickly and
easily build your RIAs with Flex Builder, the Eclipse(TM)based development
software that enables intelligent coding and step-through debugging.
Download the free 60 day trial. http://p.sf.net/sfu/www-adobe-com
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to